Bug 2052307 - Failed to create cluster in AWS us-east-1 region due to a local zone is used
Summary: Failed to create cluster in AWS us-east-1 region due to a local zone is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.z
Assignee: Jeremiah Stuever
QA Contact: Yunfei Jiang
URL:
Whiteboard:
Depends On: 1997059
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-08 23:57 UTC by OpenShift BugZilla Robot
Modified: 2022-02-28 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Installer was considering a local zone as a valid zone into which to install. Consequence: Install would fail when installing to a region that had a local zone enabled. Fix: Installer only considers zones that are availability zones and ignores local zones. Result: Installation to a region with local zones enabled will only install to the availability zones in that region and not to any local zones.
Clone Of:
Environment:
Last Closed: 2022-02-28 20:50:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5627 0 None open [release-4.9] Bug 2052307: aws: Filter out local zones when generating a default list of zones 2022-02-08 23:57:15 UTC
Red Hat Product Errata RHSA-2022:0655 0 None None None 2022-02-28 20:50:48 UTC

Comment 4 Yunfei Jiang 2022-02-25 03:01:24 UTC
verified. PASS
OCP version: 4.9.0-0.nightly-2022-02-24-113925

Comment 6 errata-xmlrpc 2022-02-28 20:50:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: OpenShift Container Platform 4.9.23 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0655


Note You need to log in before you can comment on or make changes to this bug.